return require('packer').startup(function(use)
	use 'wbthomason/packer.nvim'
	use {
		'nvim-lualine/lualine.nvim',
		requires = { 'nvim-tree/nvim-web-devicons', opt = true }
	}
	use {
		"ellisonleao/glow.nvim",
		config = function() require("glow").setup() end
	}
	use {
		'Pocco81/auto-save.nvim',
		config = function()
			require("auto-save").setup {
				enabled = true
			}
		end,
	}
	use {
        	'nvim-treesitter/nvim-treesitter',
        	run = function()
		local ts_update = require('nvim-treesitter.install').update({ with_sync = true })
            	ts_update()
        end,
    	}
	use 'shaunsingh/nord.nvim'
	use 'folke/noice.nvim'
	use 'rcarriga/nvim-notify'
	use 'MunifTanjim/nui.nvim'
--	use {
--		'zbirenbaum/copilot.lua',
--		cmd = "Copilot",
--		event = "InsertEnter",
--		config = function()
--			require("copilot").setup({})
--		end,
--	}

--	use 'AndreM222/copilot-lualine'
	use "neovim/nvim-lspconfig"

	use {
		"folke/trouble.nvim",
		requires = "nvim-tree/nvim-web-devicons",
	}

end)

