if exists("b:current_syntax")
    finish
endif

syntax keyword emkfileKeyword declare function include
syntax keyword emkfileKeyword if then else while for do
syntax keyword emkfileKeyword echo

highlight link emkfileKeyword Keyword
highlight link emkfileFunction Function

syntax match emkfileOperator "\v\="
syntax match emkfileOperator "\v\*"
syntax match emkfileOperator "\v/"
syntax match emkfileOperator "\v\+"
syntax match emkfileOperator "\v-"
syntax match emkfileOperator "\v\?"
syntax match emkfileOperator "\v\*\="
syntax match emkfileOperator "\v/\="
syntax match emkfileOperator "\v\+\="
syntax match emkfileOperator "\v-\="
syntax match emkfileOperator "\v\!\="

highlight link emkfileOperator Operator

syntax region emkfileString start=/\v"/ skip=/\v\\./ end=/\v"/
syntax region emkfileString start=/\v'/ skip=/\v\\./ end=/\v'/
highlight link emkfileString String

syntax match emkfileComment "\v//.*$"
highlight link emkfileComment Comment

let b:current_syntax = "emkfile"
